---
lang: en
title: 'API docs: authentication.getauthenticatemetadata'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.authentication.getauthenticatemetadata.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication](./authentication.md) &gt; [getAuthenticateMetadata](./authentication.getauthenticatemetadata.md)

## getAuthenticateMetadata() function

Fetch authentication metadata stored by `@authenticate` decorator.

<b>Signature:</b>

```typescript
export declare function getAuthenticateMetadata(controllerClass: Constructor<{}>, methodName: string): AuthenticationMetadata | undefined;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  controllerClass | <code>Constructor&lt;{}&gt;</code> | Target controller |
|  methodName | <code>string</code> | Target method |

<b>Returns:</b>

`AuthenticationMetadata | undefined`


